Subject: Re: [Add] I-D Action: draft-btw-add-home-00.txt

From: "Deen, Glenn" <[email-masked]>
Date: Tue, 10 Mar 2020 15:31:02 +0000

Hi everyone,

Subtle nudge wearing the chair hat….

Before we get too far into the discussion on user consent,  I’d like to point out that the actual decision making process on the client, including asking for consent is out of scope for ADD.   I’m not saying it’s not an important discussion to have, but in terms of what ADD is tasked with working on it is outside of the ADD charter and getting deeper into is going to derail us.     Such discussion would likely fit nicely over on the EDDI list, and could take the form of use cases around the topic (nudge).

Meanwhile, I’ll remind everyone of the ADD is focused on developing:  (1) resolver discovery;  (2) means to convey information to the client.    What the client does with that information, including how it interacts with the user is out of ADD scope.

Internalizing this subtle distinction, so that it is something we all do automatically, is obvious going to take some time and practice, so the intention here is to nudge us gently back to the scope, and to say that such gentle nudges will be provided along the ADD journey to keep us focused.

Obviously it’s not possible to the above without considering what network scenarios the client might find itself in, and I thought the draft-btw-add-home make a good start at laying out its target scenarios so that it would be clearer to readers on what assumptions where surrounding.    As we go through the various proposals, and eventually seek to merge the ideas in to one draft to move forward, having the surrounding assumptions is going to be essential to evaluating the proposals.

The reality is that there are quite a few different operational network environments out there.  It’s not the goal of ADD to advocate the redesign of operational networks, but instead flipping it around it would be reasonable to say that ADD’s proposed solution needs to be designed to fit in to them as best it can.   So perhaps a path forward is to:
      (1) discuss if the declared scenarios are missing any needed detail so that it can be included;
      (2) if there are other scenarios that are not declared, then capture and declare them so that they can be added to the discussion.

To summarize:
        Client consent is out of scope and not an ADD topic (move to EDDI if you like);
        ADD has a very focused charter(discovery & info conveyance) and sticking to it will benefit the work here;
        Understanding and capturing operational network scenarios is useful to understanding what ADD’s outputs need to work in.

Regards
Glenn